# Contribution Guidelines

> The pull request should have a useful title. Pull requests with `Update readme.md` as title will be closed right away. Please make sure you checked every box in the PR template.

## Before adding something to the list

1. Make sure you are editing README.md only, no other files are allowed to be edited.
2. Add your item to the category it belongs to. Try to avoid creating completely new categories.
3. Make sure your item is added in the correct alphabetical order for its section.
4. Don't submit dead links and try to always submit HTTPS links.
5. Make sure you're linking to an English resource, other languages not allowed *at this moment*

### Adding an item to the list

1. Click README.md
2. Click the *pencil button* in the upper right corner next to raw | blame | history
3. Github will automatically create a fork for this repo on your account.
4. Put your edit in.
5. At the bottom of the page fill in a meaningful commit summary and click *Propose file change*.
6. You'll be taken to the PR screen, click the *Create Pull Request* button
7. Make sure you check the boxes (and actually make sure they're right) and click *Create Pull Request*

Submitted PRs will be checked as soon as possible.
